/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

// ProductEC.java

package org.objectweb.jonas.stests.manyops;

import javax.ejb.EntityBean;

import org.objectweb.util.monolog.api.BasicLevel;

/**
 * This is an entity bean with "container managed persistence version 1.x".
 * This class extends the similar entity bean with "CMP version 2.x".
 * @author Helene Joanin (jonas team)
 */
public class ProductEC extends ProductEC2 implements EntityBean {

    // ------------------------------------------------------------------
    // State of the bean. 
    // They must be public for Container Managed Persistence.
    // ------------------------------------------------------------------
    public String name;
    public int number;
    public int price;

    // ------------------------------------------------------------------
    // Accessors and setters implementation
    // ------------------------------------------------------------------

    public String getName() {
	logger.log(BasicLevel.DEBUG, "");
	return name;
    }

    public void setName(String s) {
	logger.log(BasicLevel.DEBUG, "");
	name = s;
    }

    public int getNumber() {
	logger.log(BasicLevel.DEBUG, "");
	return number;
    }

    public void setNumber(int n) {
	logger.log(BasicLevel.DEBUG, "");
	number = n;
    }

    public int getPrice() {
	logger.log(BasicLevel.DEBUG, "");
	return price;
    }

    public void setPrice(int n) {
	logger.log(BasicLevel.DEBUG, "");
	price = n;
    }

}
